Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.resource
Class ResourceReference

    java.lang.Object
      org.pentaho.di.resource.ResourceReference

    public class ResourceReference

extends Object

Constructor Summary
`ResourceReference(ResourceHolderInterface resourceReferenceHolder)`
`ResourceReference(ResourceHolderInterface resourceReferenceHolder, List<ResourceEntry> entries)`

Method Summary
`void` | `addXmlCloseElement(StringBuffer buff, int indentLevel, String elementName)`
`void` | `addXmlElement(StringBuffer buff, int indentLevel, String elementName)`
`void` | `addXmlElement(StringBuffer buff, int indentLevel, String elementName, String elementValue)`
`void` | `addXmlElementWithAttribute(StringBuffer buff, int indentLevel, String elementName, String attrName, String attrValue)`
`List<ResourceEntry>` | `getEntries()`
`ResourceHolderInterface` | `getReferenceHolder()`
`void` | `setEntries(List<ResourceEntry> entries)`
`void` | `setReferenceHolder(ResourceHolderInterface resourceReferenceHolder)`
`String` | `toXml()`
`String` | `toXml(int indentLevel)`
`String` | `toXml(ResourceXmlPropertyEmitterInterface injector)`
`String` | `toXml(ResourceXmlPropertyEmitterInterface injector, int indentLevel)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceReference

    public ResourceReference(ResourceHolderInterface resourceReferenceHolder,
                             List<ResourceEntry> entries)

Parameters:
  `resourceReferenceHolder` - Where to put the resource references
  `entries` - the resource entries list

### ResourceReference

    public ResourceReference(ResourceHolderInterface resourceReferenceHolder)

Method Detail

### getReferenceHolder

    public ResourceHolderInterface getReferenceHolder()

  Returns:
    the resource reference holder

### setReferenceHolder

    public void setReferenceHolder(ResourceHolderInterface resourceReferenceHolder)

  Parameters:
    `resourceReferenceHolder` - the resource reference holder to set

### getEntries

    public List<ResourceEntry> getEntries()

  Returns:
    the entries

### setEntries

    public void setEntries(List<ResourceEntry> entries)

  Parameters:
    `entries` - the entries to set

### toXml

    public String toXml()

### toXml

    public String toXml(ResourceXmlPropertyEmitterInterface injector)

### toXml

    public String toXml(int indentLevel)

### toXml

    public String toXml(ResourceXmlPropertyEmitterInterface injector,
                        int indentLevel)

### addXmlElementWithAttribute

    public void addXmlElementWithAttribute(StringBuffer buff,
                                           int indentLevel,
                                           String elementName,
                                           String attrName,
                                           String attrValue)

### addXmlCloseElement

    public void addXmlCloseElement(StringBuffer buff,
                                   int indentLevel,
                                   String elementName)

### addXmlElement

    public void addXmlElement(StringBuffer buff,
                              int indentLevel,
                              String elementName)

### addXmlElement

    public void addXmlElement(StringBuffer buff,
                              int indentLevel,
                              String elementName,
                              String elementValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD